Migrate integration-publisher service to use a Jessie instance
Closed, ResolvedPublic

Description

integration-publisher.integration.eqiad.wmflabs is Precise which is legacy and has to disappear from wmflabs for yesterday (parent T143349).

Gotta create a new m1.small Jessie instance, apply the puppet class and check rsync works fine. Then we need to update the publisher IP address in Puppet/JJB/Zuul.

hashar created this task.Jan 23 2017, 8:41 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 23 2017, 8:41 PM

Mentioned in SAL (#wikimedia-releng) [2017-01-23T21:05:05Z] <hashar> Created integration-publishing Jessie instance 10.68.23.254 with puppet class role::ci::publisher::labs . Meant to replace Precise instance integration-publisher T156064

Eventually I manually fixed Puppet and applied role::ci::publisher::labs in Horizon.

Just have to update the publishing Jenkins jobs to point to the new instance at IP 10.68.23.254

Change 333883 had a related patch set uploaded (by Hashar):
Change publish proxy instance

https://gerrit.wikimedia.org/r/333883

Jobs updated

INFO:jenkins_jobs.builder:Number of jobs generated: 31
INFO:jenkins_jobs.builder:Reconfiguring jenkins job doxygen-publish
INFO:jenkins_jobs.builder:Reconfiguring jenkins job mediawiki-core-code-coverage
INFO:jenkins_jobs.builder:Reconfiguring jenkins job mediawiki-core-doxygen-publish
INFO:jenkins_jobs.builder:Reconfiguring jenkins job mediawiki-core-jsduck-publish
INFO:jenkins_jobs.builder:Reconfiguring jenkins job mediawiki-ruby-api-bundle-yard-publish
INFO:jenkins_jobs.builder:Reconfiguring jenkins job mediawiki-selenium-bundle-yard-publish
INFO:jenkins_jobs.builder:Reconfiguring jenkins job mediawiki-vagrant-puppet-doc-publish
INFO:jenkins_jobs.builder:Reconfiguring jenkins job mw-tools-releng-tox-doc-publish
INFO:jenkins_jobs.builder:Reconfiguring jenkins job mw-tools-scap-tox-doc-publish
INFO:jenkins_jobs.builder:Reconfiguring jenkins job mwext-VisualEditor-publish
INFO:jenkins_jobs.builder:Reconfiguring jenkins job mwext-doxygen-publish
INFO:jenkins_jobs.builder:Reconfiguring jenkins job mwext-jsduck-publish
INFO:jenkins_jobs.builder:Reconfiguring jenkins job oojs-core-coverage
INFO:jenkins_jobs.builder:Reconfiguring jenkins job oojs-core-publish
INFO:jenkins_jobs.builder:Reconfiguring jenkins job oojs-ui-coverage
INFO:jenkins_jobs.builder:Reconfiguring jenkins job oojs-ui-demos-publish
INFO:jenkins_jobs.builder:Reconfiguring jenkins job oojs-ui-doxygen-publish
INFO:jenkins_jobs.builder:Reconfiguring jenkins job oojs-ui-jsduck-publish
INFO:jenkins_jobs.builder:Reconfiguring jenkins job operations-puppet-doc
INFO:jenkins_jobs.builder:Reconfiguring jenkins job parsoidsvc-source-jsduck-publish
INFO:jenkins_jobs.builder:Reconfiguring jenkins job phpunit-coverage-publish
INFO:jenkins_jobs.builder:Reconfiguring jenkins job publish-on-contint1001
INFO:jenkins_jobs.builder:Reconfiguring jenkins job pywikibot-core-tox-doc-publish
INFO:jenkins_jobs.builder:Reconfiguring jenkins job search-extra-javadoc-publish
INFO:jenkins_jobs.builder:Reconfiguring jenkins job search-highlighter-javadoc-publish
INFO:jenkins_jobs.builder:Reconfiguring jenkins job search-ltr-javadoc-publish
INFO:jenkins_jobs.builder:Reconfiguring jenkins job search-repository-swift-javadoc-publish
INFO:jenkins_jobs.builder:Reconfiguring jenkins job tox-py27-coverage-publish
INFO:jenkins_jobs.builder:Reconfiguring jenkins job unicodejs-coverage
INFO:jenkins_jobs.builder:Reconfiguring jenkins job unicodejs-publish
INFO:jenkins_jobs.builder:Reconfiguring jenkins job visualeditor-coverage

Doc updated

https://www.mediawiki.org/w/index.php?title=Continuous_integration/Documentation_generation&diff=2370952&oldid=2177914

Change 333883 merged by jenkins-bot:
Change publish proxy instance

https://gerrit.wikimedia.org/r/333883

Mentioned in SAL (#wikimedia-releng) [2017-01-24T11:04:35Z] <hashar> Deleting integration-publisher (Precise) replaced by integration-publishing (Jessie). T156064 T143349

hashar closed this task as Resolved.Jan 24 2017, 11:04 AM
hashar claimed this task.

Validated by triggering the job operations-puppet-doc

I have deleted the Precise instance.